#' Hox pupil popularity data with missing popularity scores
#'
#' Hox pupil popularity data with some missing popularity scores
#'
#' The original, complete dataset was generated by Joop Hox as an example of
#' well-behaved multilevel data set. The distributed data contains missing data
#' in pupil popularity.
#'
#' @name popmis
#' @docType data
#' @format A data frame with 2000 rows and 7 columns:
#' \describe{
#' \item{pupil}{Pupil number within school}
#' \item{school}{School number}
#' \item{popular}{Pupil popularity with 848 missing entries}
#' \item{sex}{Pupil gender}
#' \item{texp}{Teacher experience (years)}
#' \item{const}{Constant intercept term}
#' \item{teachpop}{Teacher popularity} }
#' @source Hox, J. J. (2002) \emph{Multilevel analysis. Techniques and
#' applications.} Mahwah, NJ: Lawrence Erlbaum.
#' @keywords datasets
#' @examples
#'
#' popmis[1:3, ]
NULL
